Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Microscopic_Traffic_Simulator.Converters.EnumMatchToBooleanConverter Class Reference

Converts enum value to boolean and vice versa. More...

Inheritance diagram for Microscopic_Traffic_Simulator.Converters.EnumMatchToBooleanConverter:

## Public Member Functions
object | Convert (object value, Type targetType, object parameter, CultureInfo culture)
| Converts enum value to boolean More...
object | ConvertBack (object value, Type targetType, object parameter, CultureInfo culture)
| Converts boolean to enum value. More...

## Detailed Description

Converts enum value to boolean and vice versa.

Definition at line 10 of file EnumMatchToBooleanConverter.cs.

## Member Function Documentation

object Microscopic_Traffic_Simulator.Converters.EnumMatchToBooleanConverter.Convert | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | CultureInfo | culture
| ) |  |

Converts enum value to boolean

Parameters

  value | Value to convert.
  targetType | Type of the source.
  parameter | One of the values defined in enum.
  culture | Culture info instance.

Returns
  Converted value as boolean value.

Definition at line 20 of file EnumMatchToBooleanConverter.cs.

object Microscopic_Traffic_Simulator.Converters.EnumMatchToBooleanConverter.ConvertBack | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | CultureInfo | culture
| ) |  |

Converts boolean to enum value.

Parameters

  value | Value to convert.
  targetType | Type of the source.
  parameter | One of the values defined in enum.
  culture | Culture info instance.

Returns
  Converted value as enum value.

Definition at line 40 of file EnumMatchToBooleanConverter.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Converters/EnumMatchToBooleanConverter.cs